# CKEditor 5 Word Count Plugin

This is a custom Drupal module that provides a CKEditor 5 word count plugin. The plugin is built from source using modern CKEditor 5 development tools.


### Features

Based on the [CKEditor 5 word count documentation](https://ckeditor.com/docs/ckeditor5/latest/features/word-count.html), you can extend this plugin with features like:

- Custom word count limits
- Character count limits
- Real-time validation
- Custom styling
- Integration with form validation

### Configuration

The plugin can be configured through the CKEditor 5 configuration object. See the main plugin source file for available options.

## Usage

1. Enable the module in Drupal
2. Configure your text format to include the Word Count plugin
3. The word count will appear below the editor automatically
